<?php // Do not delete these lines
if ( !empty( $_SERVER['SCRIPT_FILENAME']) && 'comments.php' == basename( $_SERVER['SCRIPT_FILENAME'] ) )
	die ( __( 'Please do not load this page directly. Thanks!', 'groundfloor' ) );
if ( post_password_required() ) { ?>
	<p class="nocomments"><?php _e( 'This post is password protected. Enter the password to view comments.', 'groundfloor' ); ?></p>
<?php
	return;
}

// add a microid to all the comments
function comment_add_microid($classes) {
	$c_email=get_comment_author_email();
	$c_url=get_comment_author_url();
	if (!empty($c_email) && !empty($c_url)) {
		$microid = 'microid-mailto+http:sha1:' . sha1( sha1( 'mailto:' . $c_email ) . sha1( $c_url ) );
		$classes[] = $microid;
	}
	return $classes;	
}
add_filter('comment_class','comment_add_microid');

/* add a userid (if exists) to all the comments */
function comment_add_userid( $classes ) {
	global $comment;
	if ( $comment->user_id == 1 ) { /* Administrator */
		$userid = "administrator user-id-1";
	} else { /* All other users - NB: user-id-0 -> non-registered user */
		$userid = "user-id-" . ( $comment->user_id );
	}
	$classes[] = $userid;
	return $classes;
}
add_filter( 'comment_class','comment_add_userid' );
?>

<div id="comments-main">
	<?php // show the comments
	if ( have_comments() ) : ?>
		<h4 id="comments"><?php comments_number( __( 'No Comments', 'groundfloor' ), __( 'One Comment', 'groundfloor' ), __( '% Comments', 'groundfloor' ) );?></h4>
		<ul class="commentlist" id="singlecomments">
			<?php wp_list_comments( array( 'avatar_size'=>60, 'reply_text'=>__( '&raquo; Reply to this Comment &laquo;', 'groundfloor' ) ) ); ?>
		</ul>
		<div class="navigation">
			<div class="alignleft"><?php previous_comments_link() ?></div>
			<div class="alignright"><?php next_comments_link() ?></div>
		</div> <!-- .navigation -->
	<?php else : // this is displayed if there are no comments so far ?>
		<?php if ( 'open' == $post->comment_status ) :
			// If comments are open, but there are no comments.
		else :
			// comments are closed
		endif;
	endif;
	
	if ( function_exists( 'comment_form' ) ) :
		comment_form();
	elseif ( 'open' == $post->comment_status ) :
		// show the form
		?>
		<div id="respond"><h3><?php comment_form_title(); ?></h3>
			<div id="cancel-comment-reply">
				<small><?php cancel_comment_reply_link(); ?></small>
			</div>
			<?php if ( get_option( 'comment_registration' ) && !$user_ID ) : ?>
				<p><?php _e( 'You must be ', 'groundfloor' ); ?><a href="<?php echo get_option( 'siteurl' ); ?>/wp-login.php?redirect_to=<?php echo urlencode( get_permalink() ); ?>"><?php _e( 'logged in', 'groundfloor' ); ?></a> <?php _e( 'to post a comment.', 'groundfloor' ); ?></p>
			<?php else : ?>
				<form action="<?php echo get_option( 'siteurl' ); ?>/wp-comments-post.php" method="post" id="commentform">
					<?php if ( $user_ID ) : ?>
						<p><?php _e( 'Logged in as', 'groundfloor' ); ?> <a href="<?php echo get_option( 'siteurl' ); ?>/wp-admin/profile.php"><?php echo $user_identity; ?></a>.
						<a href="<?php echo get_option( 'siteurl' ); ?>/wp-login.php?action=logout" title="<?php _e( 'Log out of this account', 'groundfloor' ); ?>"><?php _e( 'Logout &raquo;', 'groundfloor' ); ?></a></p>
					<?php else : ?>
						<p><input type="text" name="author" id="author" value="<?php echo $comment_author; ?>" size="22" tabindex="1" />
						<label for="author"><small><?php _e( 'Name', 'groundfloor' ); ?> <?php if ( $req ) _e( '(required)', 'groundfloor' ); ?></small></label></p>
						<p><input type="text" name="email" id="email" value="<?php echo $comment_author_email; ?>" size="22" tabindex="2" />
						<label for="email"><small><?php _e( 'Email', 'groundfloor' ); ?> <?php if ( $req ) _e( '(required)', 'groundfloor' ); ?></small></label></p>
						<p><input type="text" name="url" id="url" value="<?php echo $comment_author_url; ?>" size="22" tabindex="3" />
						<label for="url"><small><?php _e( 'Website', 'groundfloor' ); ?></small></label></p>
					<?php endif; ?>
					<div>
						<?php comment_id_fields(); ?>
						<input type="hidden" name="redirect_to" value="<?php echo htmlspecialchars( $_SERVER["REQUEST_URI"] ); ?>" />
					</div>
					<p><small><strong>XHTML:</strong> <?php _e( 'You can use these tags:', 'groundfloor' ); ?>' <?php echo allowed_tags(); ?></small></p>
					<p><textarea name="comment" id="comment" cols="10" rows="10" tabindex="4"></textarea></p>
					<?php if ( get_option( "comment_moderation" ) == "1" ) { ?>
						<p><small><strong><?php _e( 'Please note:', 'groundfloor' ); ?></strong> <?php _e( 'Comment moderation is enabled and may delay your comment. There is no need to resubmit your comment.', 'groundfloor' ); ?></small></p>
					<?php } ?>
					<p><input name="submit" type="submit" id="submit" tabindex="5" value="Submit Comment" /></p>
					<?php do_action( 'comment_form', $post->ID ); ?>
				</form>
			<?php endif; ?>
		</div> <!-- #respond -->
	<?php endif; ?>
</div> <!-- #comments-main -->
<?php /* Last Revision: July 5, 2010 v1.5 */ ?>