<?php
// Get the page number
function get_page_number() {
    if ( get_query_var( 'paged' ) ) {
	print ' | ' . __( 'Page ' , 'groundfloor' ) . get_query_var( 'paged' );
    }
}
// end get_page_number

// bns_menu 
function bns_menu( $menu, $args ) {
    if ( is_home() || is_front_page() ) {
	$args['show_home'] = false;
	$args['echo'] = false;
	$args['depth'] = 1;
	remove_filter( 'wp_page_menu', 'bns_menu', 10, 2 );
	$menu = wp_page_menu( $args );
    }
    return $menu; // no need to remake the menu if nothing changed
}
add_filter( 'wp_page_menu', 'bns_menu', 10, 2 );
// End bns_menu

// bns_login
function bns_login() {
    $login_url = get_bloginfo( 'url' ) . '/wp-admin/';
    if ( is_user_logged_in() ) {
	echo '<div id="bns-logged-in" class="bns-login">' . __( 'You are logged in! ', 'groundfloor' );
	if ( function_exists( 'get_current_site' ) ) {
	    $current_site = get_current_site();
	    $home_domain = 'http://' . $current_site->domain . $current_site->path;
	    echo '<a href="' . wp_logout_url( $home_domain ) . '" title="' . __( 'Logout', 'groundfloor' ) . '">' . __( 'Logout', 'groundfloor' ) . '</a>';
	} else {
	    echo '<a href="' . wp_logout_url( get_bloginfo( 'url' ) ) . '" title="' . __( 'Logout', 'groundfloor' ) . '">' . __( 'Logout', 'groundfloor' ) . '</a>';
	}
	echo __( ' or go to the ', 'groundfloor' ) . '<a href="' . $login_url . '" title="' . __( 'dashboard', 'groundfloor' ) . '">' . __( 'dashboard', 'groundfloor' ) . '</a>.</div>';
    } else {
	echo '<div id="bns-logged-out" class="bns-login"><a href="' . $login_url . '" title="' . __( 'Log in here', 'groundfloor' ) . '">' . __( 'Log in here!', 'groundfloor' ) . '</a></div>';
    }
}
// End bns_login

// Widgetizing
if ( function_exists( 'register_sidebar' ) )
    register_sidebars( 3, array(
				'description' => '',
				'before_widget' => '<div class="widget-top"></div><div id="%1$s" class="widget %2$s">',
				'after_widget' => '</div><!-- .widget --><div class="widget-bottom"></div>',
				'before_title' => '<h2 class="widget-title">',
				'after_title' => '</h2>',
				) );
    
    register_sidebar( array(
			    'name' => 'Footer Left',
			    'id' => 'footer-left',
			    'before_widget' => '<div class="widget-top"></div><div id="%1$s" class="footer-widget %2$s">',
			    'after_widget' => '</div><!-- .footer-widget --><div class="widget-bottom"></div>',
			    'before_title' => '<h2 class="widget-title">',
			    'after_title' => '</h2>',
			    ) );
    
    register_sidebar( array(
			    'name' => 'Footer Middle',
			    'id' => 'footer-middle',
			    'before_widget' => '<div class="widget-top"></div><div id="%1$s" class="footer-widget %2$s">',
			    'after_widget' => '</div><!-- .footer-widget --><div class="widget-bottom"></div>',
			    'before_title' => '<h2 class="widget-title">',
			    'after_title' => '</h2>',
			    ) );
    
    register_sidebar( array(
			    'name' => 'Footer Right',
			    'id' => 'footer-right',
			    'before_widget' => '<div class="widget-top"></div><div id="%1$s" class="footer-widget %2$s">',
			    'after_widget' => '</div><!--.footer-widget --><div class="widget-bottom"></div>',
			    'before_title' => '<h2 class="widget-title">',
			    'after_title' => '</h2>',
			    ) );
// End Widgetizing

// Gravatar	
function show_avatar( $comment, $size ) {
    $email = strtolower( trim( $comment->comment_author_email ) );
    $rating = "G"; // [G | PG | R | X]
    if ( function_exists( 'get_avatar' ) ) {
	echo get_avatar( $email, $size );
    } else {
	$grav_url = "http://www.gravatar.com/avatar.php?gravatar_id=" . md5( $emaill ) . "&size=" . $size . "&rating=" . $rating;
	echo "<img src='$grav_url'/>";
    }
}
// End Gravatar
  
// BNS Dynamic Copyright
function bns_dynamic_copyright() {
    /* Get all posts */
    $all_posts = get_posts( 'post_status=publish&order=ASC' );
    /* Get first post */
    $first_post = $all_posts[0];
    /* Get date of first post */
    $first_date = $first_post->post_date_gmt;
    $first_year = substr( $first_date, 0, 4 );
    if ( $first_year == '' ) {
	$first_year = date( 'Y' );
    }
    
    /* Display common footer copyright notice */
    _e( 'Copyright &copy; ' );
    /* Display first post year and current year */
    if ( $first_year == date( 'Y' ) ) {
	/* Only display current year if no posts in previous years */
	echo date( 'Y' );
    } else {
	echo $first_year . "-" . date( 'Y' );
    }
    /* Display blog name from 'General Settings' page */
    echo '  <strong>' . get_bloginfo( 'name' ) . '</strong>  ';
    _e( 'All rights reserved.' );
}
// End BNS Dynamic Copyright

// BNS Theme Version
function bns_theme_version() {
    $theme_version = ''; /* Clear variable */
    /* Get details of the theme / child theme */
    $blog_css_url = get_stylesheet_directory() . '/style.css';
    $my_theme_data = get_theme_data( $blog_css_url );
    $parent_blog_css_url = get_template_directory() . '/style.css';
    $parent_theme_data = get_theme_data( $parent_blog_css_url );
    
    /* Create and append to string to be displayed */
    $theme_version .= $my_theme_data['Name'] . ' v' . $my_theme_data['Version'];
    if ( $blog_css_url != $parent_blog_css_url ) {
	$theme_version .= ' a child of the ' . $parent_theme_data['Name'] . ' v' . $parent_theme_data['Version'];
    }
    $theme_version .= ' theme from <a href="http://buynowshop.com/" title="BuyNowShop.com">BuyNowShop.com</a>.';
    /* Display string */
    echo '<br />' . '<span class="version">' . $theme_version . '</span><!-- .version -->';
}
// End BNS Theme Version

// Set the content width based on the theme's design and stylesheet
// Calculated from: Main Blog Layout section in style.css
if ( !isset( $content_width ) ) $content_width = 620;

// Tell WordPress to run ground_floor_setup() when the 'after_setup_theme' hook is run. */
add_action( 'after_setup_theme', 'ground_floor_setup' );

if ( ! function_exists( 'ground_floor_setup' ) ):
    function ground_floor_setup(){
	// This theme uses post thumbnails
	add_theme_support( 'post-thumbnails' );
	// Add default posts and comments RSS feed links to head
	add_theme_support( 'automatic-feed-links' );
	
	// Make theme available for translation
	// Translations can be filed in the /languages/ directory
	load_theme_textdomain( 'groundfloor', TEMPLATEPATH . '/languages' );
	$locale = get_locale();
	$locale_file = TEMPLATEPATH . "/languages/$locale.php";
	if ( is_readable( $locale_file ) )
	    require_once( $locale_file );
    }
endif;

// BNS Modified Post - requires WordPress version 3.0 or greater
function bns_modified_post(){
    /* If the post date and the last modified date are different display modified date */
    if ( get_the_date() <> get_the_modified_date() ) {
	echo '<div class="bns-modified-post">'; /* CSS wrapper for modified date details */
	echo 'Last modified by ' . get_the_modified_author() . ' on ' . get_the_modified_date();
	echo '</div><!-- .bns-modified-post -->';
    }
}
/* End BNS Modified Post */
/* Last Revision: July 5, 2010 v1.5 */
?>